Capsule API Example

Loading...
Searching...
No Matches
Classes | Typedefs | Enumerations | Functions
CNFBCalibrator.h File Reference
`#include "CDefinesPrivate.h"`
`#include "CDevice.h"`
`#include "CError.h"`

Go to the source code of this file.

## Classes
struct | clCIndividualNFBData

## Typedefs
typedef enum clCIndividualNFBCalibrationStage | clCIndividualNFBCalibrationStage
typedef enum clCIndividualNFBCalibrationFailReason | clCIndividualNFBCalibrationFailReason
typedef struct clCIndividualNFBData | clCIndividualNFBData
typedef void(* | clCNFBCalibrator_CalibrationStageFinishedHandler) (clCNFBCalibrator calibrator) NOEXCEPT
typedef void(* | clCNFBCalibrator_CalibratedHandler) (clCNFBCalibrator calibrator, const clCIndividualNFBData *) NOEXCEPT

## Enumerations
enum | clCIndividualNFBCalibrationStage { clCIndividualNFBCalibrationStage_1 = 0 , clCIndividualNFBCalibrationStage_2 , clCIndividualNFBCalibrationStage_3 , clCIndividualNFBCalibrationStage_4 }
enum | clCIndividualNFBCalibrationFailReason { clC_IndividualNFBCalibrationFailReason_None = 0 , clC_IndividualNFBCalibrationFailReason_TooManyArtifacts , clC_IndividualNFBCalibrationFailReason_PeakIsABorder }

## Functions
| CLC_CLASS_WN (NFBCalibratorPrivate, clCNFBCalibrator)
| Individual NFB calibrator.
CL_DLL clCNFBCalibrator | clCNFBCalibrator_CreateOrGet (clCDevice device) NOEXCEPT
| Obtain an individual NFB calibrator for the session. If not present, it'll be created.
CL_DLL void | clCNFBCalibrator_CalibrateIndividualNFB (clCNFBCalibrator calibrator, clCIndividualNFBCalibrationStage stage, clCError *error) NOEXCEPT
| Start stage of individual NFB calibration.
CL_DLL void | clCNFBCalibrator_CalibrateIndividualNFBQuick (clCNFBCalibrator calibrator, clCError *error) NOEXCEPT
| Start stage of quick individual NFB calibration.
CL_DLL void | clCNFBCalibrator_ImportIndividualNFBData (clCNFBCalibrator calibrator, const clCIndividualNFBData *individualNfbData, clCError *error) NOEXCEPT
| Import individual nfb data from external source.
CL_DLL void | clCNFBCalibrator_GetIndividualNFB (clCNFBCalibrator calibrator, clCIndividualNFBData *nfbData, clCError *error) NOEXCEPT
| Get individual NFB metrics.
CL_DLL bool | clCNFBCalibrator_IsCalibrated (clCNFBCalibrator calibrator) NOEXCEPT
| Is calibration finished.
CL_DLL bool | clCNFBCalibrator_HasCalibrationFailed (clCNFBCalibrator calibrator) NOEXCEPT
| Has calibration failed.
CL_DLL void | clCNFBCalibrator_SetOnCalibrationStageFinishedEvent (clCNFBCalibrator calibrator, clCNFBCalibrator_CalibrationStageFinishedHandler handler) NOEXCEPT
CL_DLL void | clCNFBCalibrator_SetOnCalibratedEvent (clCNFBCalibrator calibrator, clCNFBCalibrator_CalibratedHandler handler) NOEXCEPT

## Typedef Documentation

## ◆ clCIndividualNFBCalibrationFailReason

typedef enum clCIndividualNFBCalibrationFailReason clCIndividualNFBCalibrationFailReason

## ◆ clCIndividualNFBCalibrationStage

typedef enum clCIndividualNFBCalibrationStage clCIndividualNFBCalibrationStage

## ◆ clCIndividualNFBData

typedef struct clCIndividualNFBData clCIndividualNFBData

## ◆ clCNFBCalibrator_CalibratedHandler

typedef void(* clCNFBCalibrator_CalibratedHandler) (clCNFBCalibrator calibrator, const clCIndividualNFBData *) NOEXCEPT

## ◆ clCNFBCalibrator_CalibrationStageFinishedHandler

typedef void(* clCNFBCalibrator_CalibrationStageFinishedHandler) (clCNFBCalibrator calibrator) NOEXCEPT

## Enumeration Type Documentation

## ◆ clCIndividualNFBCalibrationFailReason

enum clCIndividualNFBCalibrationFailReason

Enumerator
clC_IndividualNFBCalibrationFailReason_None |
clC_IndividualNFBCalibrationFailReason_TooManyArtifacts |
clC_IndividualNFBCalibrationFailReason_PeakIsABorder |

## ◆ clCIndividualNFBCalibrationStage

enum clCIndividualNFBCalibrationStage

Enumerator
clCIndividualNFBCalibrationStage_1 |
clCIndividualNFBCalibrationStage_2 |
clCIndividualNFBCalibrationStage_3 |
clCIndividualNFBCalibrationStage_4 |

## Function Documentation

## ◆ CLC_CLASS_WN()

CLC_CLASS_WN | ( | NFBCalibratorPrivate | ,
|  | clCNFBCalibrator | )

Individual NFB calibrator.

## ◆ clCNFBCalibrator_CalibrateIndividualNFB()

CL_DLL void clCNFBCalibrator_CalibrateIndividualNFB | ( | clCNFBCalibrator | calibrator,
|  | clCIndividualNFBCalibrationStage | stage,
|  | clCError * | error )

Start stage of individual NFB calibration.

Parameters

  calibrator | calibrator handle
  stage | the user must call this method 4 times sequentially changing this argument from Stage1 to Stage4
  error | the error out parameter

## ◆ clCNFBCalibrator_CalibrateIndividualNFBQuick()

CL_DLL void clCNFBCalibrator_CalibrateIndividualNFBQuick | ( | clCNFBCalibrator | calibrator,
|  | clCError * | error )

Start stage of quick individual NFB calibration.

Parameters

  calibrator | calibrator handle
  error | the error out parameter

## ◆ clCNFBCalibrator_CreateOrGet()

CL_DLL clCNFBCalibrator clCNFBCalibrator_CreateOrGet | ( | clCDevice | device | ) |

Obtain an individual NFB calibrator for the session. If not present, it'll be created.

Parameters

  device | device handle. A valid device must be passed

Returns
  NFB calibrator handle

## ◆ clCNFBCalibrator_GetIndividualNFB()

CL_DLL void clCNFBCalibrator_GetIndividualNFB | ( | clCNFBCalibrator | calibrator,
|  | clCIndividualNFBData * | nfbData,
|  | clCError * | error )

Get individual NFB metrics.

Parameters

  calibrator | calibrator handle
  nfbData | the individual NFB metric out parameter
  error | the error out parameter

Returns
  INFB metric from calibrator via out parameter

## ◆ clCNFBCalibrator_HasCalibrationFailed()

CL_DLL bool clCNFBCalibrator_HasCalibrationFailed | ( | clCNFBCalibrator | calibrator | ) |

Has calibration failed.

Parameters

  calibrator | calibrator handle

Returns
  `true` if calibration has failed

## ◆ clCNFBCalibrator_ImportIndividualNFBData()

CL_DLL void clCNFBCalibrator_ImportIndividualNFBData | ( | clCNFBCalibrator | calibrator,
|  | const clCIndividualNFBData * | individualNfbData,
|  | clCError * | error )

Import individual nfb data from external source.

Parameters

  calibrator | calibrator handle
  error | the error out parameter

## ◆ clCNFBCalibrator_IsCalibrated()

CL_DLL bool clCNFBCalibrator_IsCalibrated | ( | clCNFBCalibrator | calibrator | ) |

Is calibration finished.

Parameters

  calibrator | calibrator handle

Returns
  `true` if calibration has finished

## ◆ clCNFBCalibrator_SetOnCalibratedEvent()

CL_DLL void clCNFBCalibrator_SetOnCalibratedEvent | ( | clCNFBCalibrator | calibrator,
|  | clCNFBCalibrator_CalibratedHandler | handler )

## ◆ clCNFBCalibrator_SetOnCalibrationStageFinishedEvent()

CL_DLL void clCNFBCalibrator_SetOnCalibrationStageFinishedEvent | ( | clCNFBCalibrator | calibrator,
|  | clCNFBCalibrator_CalibrationStageFinishedHandler | handler )